Skip to content
Assets

Get Statement List

Page through the Client's statement list (daily/monthly statements); returns each statement's display name and download key.

GEThttps://api.lbkrs.com/v1/portfolio/statement/list

Parameters

kindintegerqueryRequired

Statement type:

  • 0 - Daily statement
  • 1 - Monthly statement

01

start_dtstringqueryOptional

Start date, format yyyyMM

end_dtstringqueryOptional

End date, format yyyyMM

pageintegerqueryRequired

Page number

sizeintegerqueryRequired

Items per page, range 1~100

account_channelstringqueryRequired

Broker channel

Responses

HTTP 200The request succeeded. The response body contains the result of the “Get statement list” operation.
Standard response envelopecodemessagedata
dataobjectdata structure
itemsarray<object>
Child attributes
display_namestring

Statement display filename

keystring

Statement file key, used to obtain the download URL

cache_keystring

Cache key used by Broker App to determine whether the local cache file needs to be re-downloaded

Whale Docs